Page MenuHomePhabricator

Login form duplicate messages in stable when directly visit Special:EditWatchlist whilst anon
Closed, ResolvedPublic

Description

Duplicate error messages

Navigate to Special:Watchlist whilst not logged in
You get two messages.

Expected:
You should just get the first styled message

We should look to consolidate our own custom code with that in core...


Version: unspecified
Severity: normal

Attached:

Details

Reference
bz71771

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:52 AM
bzimport set Reference to bz71771.
bzimport added a subscriber: Unknown Object (MLST).

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/dDj3Id6L

I'd suggest styling the alert box instead of headmsg and using our own custom message which includes the bold text.

Created attachment 16700
Similarly, if you hit an error you see two alert boxes. We should probably only show one.

Attached:

Florna seems to have made a start to this - might be some ideas there - https://gerrit.wikimedia.org/r/#/c/165248/4

Yeah, it was an idea (before i saw this bug today), maybe we can use it someway :) Comments are welcome!

https://gerrit.wikimedia.org/r/165634 will take care of this if it was to move to stable.

I think we need to kill our custom login code.

gerritadmin wrote:

Change 165634 had a related patch set uploaded by Florianschmidtwelzow:
Use desktop login/account creation form in alpha

https://gerrit.wikimedia.org/r/165634

gerritadmin wrote:

Change 165634 merged by jenkins-bot:
Use desktop login/account creation form in alpha

https://gerrit.wikimedia.org/r/165634

This is now live in alpha. Need to propagate these changes to stable.

Jon, the patch is live since wmf5 (since Wednesday, 29 October 2014 for all Wikipedias). We had no related bug reports (iirc) and it seems to work fine, what do you think: Can we move it to beta? :)

Using the desktop login form has various issues still and is not going to be ready any time soon.

Is there any way we can make the stable/beta site version of our existing login form use this mechanism and override the messages?

Would be good to fix stable in the mean time for this problem.

Jdlrobson renamed this task from Login form duplicate messages to Login form duplicate messages in stable.Dec 24 2014, 7:42 PM
Jdlrobson renamed this task from Login form duplicate messages in stable to Login form duplicate messages in stable when directly visit Special:EditWatchlist whilst anon.
Jdlrobson set Security to None.
Jdlrobson moved this task from 2014-15 Q2 to 2015-16 Q4 on the Readers-Web-Backlog board.

Change 183028 had a related patch set uploaded (by Florianschmidtwelzow):
Don't show duplicate messages in LoginForm

https://gerrit.wikimedia.org/r/183028

Patch-For-Review

Change 183028 merged by jenkins-bot:
Don't show duplicate messages in LoginForm

https://gerrit.wikimedia.org/r/183028

Jdlrobson closed this task as Resolved.Jan 6 2015, 7:25 PM
Jdlrobson claimed this task.

Thanks @Florian !